package es2;

/**
 * Un wrapper della classe String per renderla estendibile
 * 
 * @author Stefano Guerrini
 * @version giugno 2009
 */
public class MyString
{
    private String s;

    /**
     * Costruttore della classe
     * 
     * @param str      la stringa da memorizzare
     */
    public MyString(String str)
    {
        s = str;
    }

    /**
     * getter della stringa
     * 
     * @return     la stringa 
     */
    public String get()
    {
        return s;
    }
    
    /**
     * definisce la equals usando la equals di String
     * 
     * @param str   la stringa da confrontare con quella che riceve il messaggio
     * @return      true se le stringhe sono uguali, false altrimenti
     */
    public boolean equals(MyString str) {
        return s.equals(str.get());
    }

    /**
     * ridefinisce la hashCode usando quella di String
     * 
     * return       l'hashCode della stringa
     */
    public int hashCode() {
        return s.hashCode();
    }
}