package es3bis;

/**
 * Interfaccia da implementare per copiare un oggetto da inserire nelle coppie.
 * 
 * @author Stefano Guerrini
 * @version giugno 2009
 */
public interface Clonator<T>
{
    /**
     * Clona un oggetto
     * 
     * @param t     l'oggetto da clonare
     * @return      l'oggetto clonato
     */ 
    public T clonator(T t);
}
