package es3;

/**
 * Una classe astratta da usare come antenata di tutti gli elementi
 * delle coppie.
 * 
 * @author Stefano Guerrini
 * @version giugno 2009
 */
public abstract class PairElement implements Cloneable {

    /*
     * rende public il metodo clone eriditato da cloneable
     * altrimenti l'oggetto sarebbe clonabile solo da sottoclassi
     * di PairElement
     */
    public Object clone() throws CloneNotSupportedException {
        return super.clone();
    }
}
